<%@ Control Language="C#" AutoEventWireup="true" EnableViewState="false" Inherits="BlogEngine.Core.Web.Controls.PostViewBase" %>

<div class="entry post xfolkentry">
    <div class="entrytitle">
    
        <h2><a href="<%=Post.RelativeLink %>" class="taggedlink"><%=Server.HtmlEncode(Post.Title) %></a></h2>
        <h3><%=Post.DateCreated.ToString("yyyy.M.d") %></h3>
    </div> 
    <div class="entrybody">
      <p><asp:PlaceHolder ID="BodyContent" runat="server" /></p>
    </div> 
  <div class="bottom">
    <%=Rating %>
  </div>
  <div class="entrymeta">
    <div class="postinfo">
        <span class="postedby"><a href="<%=VirtualPathUtility.ToAbsolute("~/") + "author/" + Post.Author %>.aspx"><%=Post.AuthorProfile != null ? Post.AuthorProfile.DisplayName : Post.Author %></a></span>
        <span class="filedto"><%=CategoryLinks(", ") %></span>
        <span class="tagged"><%=TagLinks(", ") %></span>
        <a class="commentslink" rel="nofollow" href="<%=Post.RelativeLink %>#comment"><%=Resources.labels.comments %> (<%=Post.ApprovedComments.Count %>)</a> <%=AdminLinks %>
    </div> 
    <div style="padding-top:1em;">
      <a class="EmailIt" rel="nofollow" href="mailto:?subject=<%=Post.Title %>&amp;body=Thought you might like this: <%=Post.AbsoluteLink.ToString() %>">E-mail</a>
      <a class="dotnetkicks" rel="nofollow" href="http://www.dotnetkicks.com/submit?url=<%=Server.UrlEncode(Post.AbsoluteLink.ToString()) %>&amp;title=<%=Server.UrlEncode(Post.Title) %>">Kick it!</a>
      <a class="dzone" rel="nofollow" href="http://www.dzone.com/links/add.html?url=<%=Server.UrlEncode(Post.AbsoluteLink.ToString()) %>&amp;title=<%=Server.UrlEncode(Post.Title) %>">DZone it!</a> 
      <a class="delicious" rel="nofollow" href="http://del.icio.us/post?url=<%=Server.UrlEncode(Post.AbsoluteLink.ToString()) %>&amp;title=<%=Server.UrlEncode(Post.Title) %>">del.icio.us</a>          
      <a class="plink" rel="bookmark" href="<%=Post.PermaLink %>">̶</a>
      <a class="rssLink" rel="nofollow" href="<%=CommentFeed %>"></a>    
    </div> 
  </div> 

</div>